.triangle {
    width: 2em;
    height: 2em;
    background-image: url("./tri.svg");
    background-size: contain;
    background-repeat: no-repeat;
}

.pentagon {
    width: 2em;
    height: 2em;
    background-image: url("./pent.svg");
    background-size: contain;
    background-repeat: no-repeat;
}

.corner-ul {
    position: absolute;
    top: -1.12em;
    left: -1.12em;
    transform: rotate(10deg);
}

.corner-ur {
    position: absolute;
    top: -1.12em;
    right: -1.12em;
    transform: rotate(100deg);
}

.corner-br {
    position: absolute;
    bottom: -1.12em;
    right: -1.12em;
    transform: rotate(190deg);
}

.corner-bl {
    position: absolute;
    bottom: -1.12em;
    left: -1.12em;
    transform: rotate(280deg);
}

.shapewindow, .shapearticle {
    margin: 1em;
    width: 300px;
    padding: .5em;
    position:absolute;
    border-style: dashed;
    border-width: .25em;
    padding: .7em;
    min-height:calc(100% - 2em);
}


#trianglewindow {
    background-color: rgb(237,247,242);
    border-color: rgb(149, 210, 183);
    top: 0px;
    right: .5em;
    color: #d07483;
    background-image: unset;
}

#trianglewindow.shapewindow:hover {
    border-color: rgb(53, 74, 65);
}

#trianglewindow h2 {
    color: #d07483;
}

#pentagonwindow {
    background-color: rgb(250,230,250);
    border-color: rgb(209, 148, 209);
    top: 0px;
    left: .5em;
    color: #336241;
    background-image: unset;
}

#pentagonwindow.shapewindow:hover {
    border-color: rgb(65, 46, 65);
}

#pentagonwindow h2 {
    color: #336241;
}

.shapewindow ul {
    padding-left: .5em;
}

.shapewindow img {
    max-width: 100%;
}

#dogcontainer {
    position:relative;
    margin: 0px auto;
    height: 1050px;
}

#dogshrinesummary {
    width: calc(100% - 600px - 6em);
    left: calc(300px + 2em);
    position: absolute;
    bottom: 0px;
    top: 0px;
    margin: 1em;
    min-height:calc(100% - 2em);
}

@keyframes spinner {
    to { transform: rotate(360deg); }
}

.shapewindow:hover .triangle, .shapewindow:hover .pentagon {
    animation: spinner 1s linear infinite; 
}

.shapewindow:hover .corner-bl, .shapewindow:hover .corner-ul, .shapewindow:hover .corner-br, .shapewindow:hover .corner-ur {
    transform: unset;
}

.shapearticle {
    width: unset;
    position:relative;
    height:unset;
}

.shapearticle img{
    max-width: 300px;
    max-height: 300px;
    border-style: solid;
    border-width: .25em;
    margin: .25em;
    object-fit: contain;
}

#pentagonwindow img {
    border-color: #336241;
}

#trianglewindow img {
    border-color: #d07483;
}

.dogsectioncontainer {
    display:flex;
}

/*treatreview stuff*/

img.treatreview {
    max-width: 150px;
    max-height: 150px;
    border-radius: 1em;
    display: inline-block;
    vertical-align: middle;
    border-style: none solid none none;
    padding: 0px;
    margin: 0px;
    margin-right: 1rem;
}

#pentagonwindow.treatreview li {
    border-color: green;
    border-width: .25em;
    border-radius: 1em;
    border-style: solid;
    margin-bottom: 1rem;
    padding: 0px;
}

#pentagonwindow.treatreview li.incomplete {
    border-color: yellow;
}

#pentagonwindow.treatreview ol {
    padding-left: 1.4rem;
    font-size: 1.4rem;
}

#pentagonwindow.treatreview ol > li::marker {
    font-weight: bold;
}

#pentagonwindow.treatreview  li.incomplete img {
    border-color: yellow;
}